import os


class Config:
    SECRET_KEY = os.environ.get('SECRET_KEY', os.urandom(12))

    SENTRY_DSN = os.environ.get("SENTRY_DSN")
    RELEASE_ID = os.environ.get("RELEASE_ID", "test")
    RELEASEMODE = os.environ.get("RELEASEMODE", "dev")

    INFLUXDB_V2_URL = os.environ['INFLUXDB_URL']
    INFLUXDB_V2_TOKEN = os.environ['INFLUXDB_TOKEN']
    INFLUXDB_V2_ORG = os.environ['INFLUXDB_ORG']

    INFLUXDB_TIMEOUT = 30
